### Hierarchy

- VehicleWheel

## Index

### Constructors

- constructor

### Properties

- _index
- _owner

### Accessors

- Index
- Vehicle

### Methods

- burst
- fix

## Constructors

### constructor

- new VehicleWheel(owner: Vehicle, index: number): VehicleWheel

- - Defined in models/VehicleWheel.ts:7

  #### Parameters

  - ##### owner: Vehicle

  - ##### index: number

  #### Returns VehicleWheel

## Properties

### Private _index

_index: number

- Defined in models/VehicleWheel.ts:5

### Private _owner

_owner: Vehicle

- Defined in models/VehicleWheel.ts:4

## Accessors

### Index

- get Index(): number
- set Index(index: number): void

- - Defined in models/VehicleWheel.ts:12

  #### Returns number

- - Defined in models/VehicleWheel.ts:16

  #### Parameters

  - ##### index: number

  #### Returns void

### Vehicle

- get Vehicle(): Vehicle

- - Defined in models/VehicleWheel.ts:20

  #### Returns Vehicle

## Methods

### burst

- burst(): void

- - Defined in models/VehicleWheel.ts:24

  #### Returns void

### fix

- fix(): void

- - Defined in models/VehicleWheel.ts:28

  #### Returns void

Generated using TypeDoc